.TH s.to.cell
.SH NAME
.\" comment
\fIs.to.cell\fR \- Convert a site list into a raster map.
.br
.I (GRASS Sites Program)
.SH SYNOPSIS
\fBs.to.cell\fR
.br
\fBs.to.cell help\fR
.br
\fBs.to.cell \fR[\fB-q\fR] \fBinput\fR=\fIname\fR \fBoutput\fR=\fIname\fR
[\fBfrequency\fR=\fIname\fR] [\fBz\fR=\fIvalue\fR]
.SH DESCRIPTION
.I s.to.cell
(partially) populates a raster map using a site file.  
.LP
Cell values in the output map are given by the mean of the 
values at sites falling within the cell.  Cells which contain 
no sites are set to zero (though this should be corrected to NULL 
when the protocols have been finalised).  An optional additional 
frequency map records how many sites fall within each cell.  
.LP
The site values are taken from the third field in the site-list.  
Two syntaxes (syntaces?) in the data fields of the site_list are recognised:  
.IP
easting|northing|value
.LP
and
.IP
easting|northing|#value.  
.LP
.SH OPTIONS
\fBFlag:\fR
.IP \fB-q\fR 18
Quiet. Cut out the chatter.
.LP
\fBParameters:\fR
.IP \fBinput\fR=\fIname\fR 18
Name of sites list defining sample points.
.LP
.IP \fBoutput\fR=\fIname\fR 18
Name of raster map to contain output values.
.LP
.IP \fBfrequency\fR=\fIname\fR 18
Optional name of raster map to contain site-in-cell counts.
.LP
.IP \fBz\fR=\fIvalue\fR 18
Optional scaling factor for values read from site-list. 
The values in the output map will be multiplied by this factor. 
This allows raster maps with integer values to be created from site-lists 
with floating point values with less loss in precision.  
If omitted, this is set to 1.0.
.SH NOTES
This program may be useful for 
.IP i
direct conversion of site-lists to raster maps for densely sampled site-lists, or
.IP ii 
as an intermediate step to be followed by an interpolation 
(eg using r.resample.tps) or smoothing 
(eg using r.surf.idw) for sparsely sampled site-lists.  
.LP
The latter procedure is similar to using s.surf.tps directly, 
but gives additional flexibility in the way in which lists which 
contain pockets of very densely sampled data are subsetted prior 
to the interpolation.  All the site values are used.    
.LP
.SH SEE ALSO
.I s.menu,
.I r.resample.tps,
.I r.surf.idw,
.I s.sample,
.I g.region
.SH FUTURE PLANS
It would be nice to have alternatives to arithmetic mean for the cell values.
.SH BUGS
Please send all bug fixes and comments to the author.
.SH AUTHOR
Simon Cox, AGCRC, CSIRO Exploration & Mining 
.if n .br 
(simon.cox@ned.dem.csiro.au)
